import ChartPieIcon from "@icons/ChartPieIcon";
import ContactBookIcon from "@icons/ContactBookIcon";
import FlowArrowIcon from "@icons/FlowArrowIcon";
import LayoutIcon from "@icons/LayoutIcon";
import MegaphoneIcon from "@icons/MegaphoneIcon";
import QuestionIcon from "@icons/QuestionIcon";
import QuestionsMapIcon from "@icons/QuestionsMapIcon";


export const quizSetupSteps = [
    { stepperText: "Настройка стартовой страницы", sidebarText: "Стартовая страница", sidebarIcon: LayoutIcon },
    { stepperText: "Задайте вопросы", sidebarText: "Вопросы", sidebarIcon: QuestionIcon },
    { stepperText: "Настройте авторезультаты", sidebarText: "Результаты", sidebarIcon: ChartPieIcon },
    // { stepperText: "Оценка графа карты вопросов", sidebarText: "Карта вопросов", sidebarIcon: QuestionsMapIcon },
    { stepperText: "Настройте форму контактов", sidebarText: "Форма контактов", sidebarIcon: ContactBookIcon },
    { stepperText: "Установите квиз", sidebarText: "Установка квиза", sidebarIcon: FlowArrowIcon },
    { stepperText: "Запустите рекламу", sidebarText: "Запуск рекламы", sidebarIcon: MegaphoneIcon },
] as const;

export const maxQuizSetupSteps = quizSetupSteps.length;

export type QuizStartpageType = "standard" | "expanded" | "centered" | null;

export type QuizStartpageAlignType = "left" | "right" | "center";

export type QuizType = "quiz" | "form" | null;

export type QuizResultsType = true | null;

export interface QuizConfig {
    type: QuizType;
    noStartPage: boolean;
    startpageType: QuizStartpageType;
    results: QuizResultsType;
    haveRoot: string | null;
    resultInfo: {
        when: 'before' | 'after' | 'email',
        share: true | false,
        replay: true | false,
        theme: string,
        reply: string,
        replname: string,
      }
    startpage: {
        description: string;
        button: string;
        position: QuizStartpageAlignType;
        favIcon: string | null;
        logo: string | null;
        originalLogo: string | null;
        background: {
            type: null | "image" | "video";
            desktop: string | null;
            originalDesktop: string | null;
            mobile: string | null;
            originalMobile: string | null;
            video: string | null;
            cycle: boolean;
        };
    };
    info: {
        phonenumber: string;
        clickable: boolean;
        orgname: string;
        site: string;
        law?: string;
    };
    meta: string;
}

export const defaultQuizConfig: QuizConfig = {
    type: null,
    noStartPage: false,
    startpageType: null,
    results: null,
    haveRoot: null,
    resultInfo: {
        when: 'after',
        share: false,
        replay: false,
        theme: "",
        reply: "",
        replname: "",
      },
    startpage: {
        description: "",
        button: "",
        position: "left",
        favIcon: null,
        logo: null,
        originalLogo: null,
        background: {
            type: null,
            desktop: null,
            originalDesktop: null,
            mobile: null,
            originalMobile: null,
            video: null,
            cycle: false,
        },
    },
    info: {
        phonenumber: "",
        clickable: false,
        orgname: "",
        site: "",
        law: "",
    },
    meta: "",
};
