import { Box, Typography } from "@mui/material";

import LabeledDatePicker from "@ui_kit/LabeledDatePicker";
import type { QuizQuestionDate } from "model/questionTypes/date";

interface Props {
  question: QuizQuestionDate;
}

export default function Date({ question }: Props) {
  return (
    <Box
      sx={{
        display: "flex",
        flexDirection: "column",
        gap: 1,
      }}
    >
      <Typography variant="h6" data-cy="question-title">{question.title}</Typography>
      <LabeledDatePicker />
    </Box>
  );
}
