import { Box, Typography } from "@mui/material";

import type { QuizQuestionPage } from "model/questionTypes/page";

interface Props {
  question: QuizQuestionPage;
}

export default function Page({ question }: Props) {
  return (
    <Box
      sx={{
        display: "flex",
        flexDirection: "column",
        alignItems: "start",
        gap: 1,
      }}
    >
      <Typography variant="h6" data-cy="question-title" sx={{ paddingBottom: "25px" }}>{question.title}</Typography>
      <Typography data-cy="question-text" sx={{ paddingBottom: "20px" }}>{question.content.text}</Typography>
      {question.content.picture && (
          <Box sx={{borderRadius: "12px",
              border: "1px solid #9A9AAF", width: "100%", overflow: "hidden"}}>
              <img
                src={question.content.picture}
                alt=""
                style={{
                    display: "block",
                    width: "100%",
                    height: "100%",
                    objectFit: "contain",
                }}
                />
          </Box>
      )}
    </Box>
  );
}
